"The operation couldn't be completed. (ArticleFetcher error 666)" when switching the device language
Closed, ResolvedPublic

Description

The warning message "ArticleFetcher error 666" and a blank screen was the result of running the following test cases with changing device language in one of the steps:

17 Tap W, tap More, choose Hebrew as language. Search for Apple. Text is on the right. Edit pencil is on the left. The titles are justified on the right.
18 Tap "λA" on bottom right of navigation toolbar and change to English. If it doesn't appear at first scroll down and up until it does. Same article displayed in English, now with edit icons on the right, and titles and paragraphs justified on the left.
19 On the Apple article, tap "λA" on bottom right of navigation toolbar and change to Western Panjabi. Scroll and tap the button again and change to Urdu. Right justifications of titles and paragraphs followed. The page is not a direct translation of the English page as there is much less content on these pages.
20 Change language back to English. Tap magnifying glass and search for Economy of Virginia. Tap Table of Contents on top right of page. The Table of Contents - Background, Technology, Taxation, See Also, and References - are listed.

Etonkovidova updated the task description. (Show Details)
Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 16 2015, 4:29 PM
Fjalapeno added a subscriber: Fjalapeno.

maybe close as a dupe?

Change 226925 had a related patch set uploaded (by Bgerstle):
add API error handling to articlefetcher

https://gerrit.wikimedia.org/r/226925

Change 226925 merged by jenkins-bot:
add API error handling to articlefetcher

https://gerrit.wikimedia.org/r/226925

Checked the test cases in the ticket - 4.1.7.171(release candidate) beta on iPad mini iOS 8.2. Switching between languages does not cause any errors.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 27 2016, 7:09 PM
MBinder_WMF closed this task as Resolved.Feb 8 2016, 7:32 PM